@echo no
set year=%date:~0,4%
set month=%date:~5,2%
set day=%date:~8,2%
set hour=%time:~0,2%
set hour=%hour: =0%
set minutes=%time:~3,2%
set seconds=%time:~6,2%
set fulldate=%year%%month%%day%%hour%%minutes%%seconds%
set _UserName=imeetuDBadmin
set _PassWord=168imeetu369
set _DataBaseName=imeetu

set _BakFolder=.\MySQL_DB_dump\
if exist %_BakFolder% (
    echo Backup folder already exist! Automatic continue...
) else (
    echo Backup folder not found. Creating backup folder...
    mkdir %_BakFolder%
)
set _DumpAddress=%_BakFolder%%_DataBaseName%%fulldate%.sql

C:\xampp\mysql\bin\mysqldump.exe -u %_UserName% -p%_PassWord% %_DataBaseName% > %_DumpAddress%
echo Backup Success!